Debian Bug report logs - #384857
ntp: transition packages needed; ntp-simple removes ntp user on purge

version graph

Package: ntp; Maintainer for ntp is Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>; Source for ntp is src:ntp.

Reported by: Julien BLACHE <jblache@debian.org>

Date: Sun, 27 Aug 2006 13:03:02 UTC

Severity: important

Tags: patch

Found in version ntp/1:4.2.2+dfsg.2-1

Fixed in version ntp/1:4.2.2+dfsg.2-2

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 14:25:31 +0200
Package: ntp
Version: 1:4.2.2+dfsg.2-1
Severity: important

Hi,

Transition packages are needed in the ntp-* -> ntp transition, as ntp-simple
(at least, ntp-refclock probably does the same) removes the ntp user in
its postrm script.

So, purging ntp-simple once the new ntp package is installed leads to ntp
being unable to restart because the username specified doesn't exist, and
other funny things.

Thanks,

JB.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages ntp depends on:
ii  adduser                      3.97        Add and remove users and groups
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libcap1                      1:1.10-14   support for getting/setting POSIX.
ii  libreadline5                 5.1-7       GNU readline and history libraries
ii  libssl0.9.8                  0.9.8b-2    SSL shared libraries
ii  lsb-base                     3.1-15      Linux Standard Base 3.1 init scrip
ii  netbase                      4.26        Basic TCP/IP networking system
ii  perl-modules                 5.8.8-6.1   Core Perl modules
ii  psmisc                       22.3-1      Utilities that use the proc filesy

ntp recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 384857@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Julien BLACHE <jblache@debian.org>, 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 15:35:33 +0200
Julien BLACHE wrote:
> So, purging ntp-simple once the new ntp package is installed leads to
> ntp being unable to restart because the username specified doesn't
> exist, and other funny things.

I don't think so.  Have you actually tried it?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 384857@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Peter Eisentraut <peter_e@gmx.net>
Cc: 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 15:50:18 +0200
Peter Eisentraut <peter_e@gmx.net> wrote:

>> So, purging ntp-simple once the new ntp package is installed leads to
>> ntp being unable to restart because the username specified doesn't
>> exist, and other funny things.
>
> I don't think so.  Have you actually tried it?

Yep, that's why I'm reporting the bug.

Anyway, you need the transition packages so that purging ntp-simple
won't remove the ntp user from the system. Otherwise your transition
is just broken, plain and simple.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 384857@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Julien BLACHE <jblache@debian.org>
Cc: 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 16:35:26 +0200
Julien BLACHE wrote:
> Anyway, you need the transition packages so that purging ntp-simple
> won't remove the ntp user from the system. Otherwise your transition
> is just broken, plain and simple.

We have done extensive testing on the transition, so before I believe 
that something is broken, I'd need to see a complete log of what you 
did and what happened.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 384857@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Peter Eisentraut <peter_e@gmx.net>
Cc: 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 17:20:21 +0200
Peter Eisentraut <peter_e@gmx.net> wrote:

> We have done extensive testing on the transition, so before I believe 
> that something is broken, I'd need to see a complete log of what you 
> did and what happened.

Here it is:

% dpkg -l | grep ntp
ii  ntp                              4.2.2+dfsg.2-1              Network Time Protocol: server and utility programs
rc  ntp-server                       4.2.0a+stable-9             Network Time Protocol: common server tools
rc  ntp-simple                       4.2.0a+stable-9             Network Time Protocol: daemon for simple systems
ii  ntpdate                          4.2.2+dfsg.2-1              The ntpdate client for setting system time from NTP servers
% id ntp
uid=114(ntp) gid=114(ntp) groups=114(ntp)
% ps aux | grep ntp 
ntp       1983  0.0  0.1   4128  1348 ?        Ss   Aug12   0:00 /usr/sbin/ntpd -p /var/run/ntpd.pid -u 114:114 -g
% cat /var/lib/dpkg/info/ntp-simple.postrm 
#!/bin/sh



if [ "$1" = "purge" ]; then
        deluser --system --quiet ntp || true
        rm -rf /var/lib/ntp/
        rm -rf /var/log/ntpstats/
fi

exit 0
% sudo dpkg --purge ntp-simple
(Reading database ... 118673 files and directories currently installed.)
Removing ntp-simple ...
Purging configuration files for ntp-simple ...
% id ntp
id: ntp: No such user
% ps aux | grep ntp
114       1983  0.0  0.1   4128  1348 ?        Ss   Aug12   0:00 /usr/sbin/ntpd -p /var/run/ntpd.pid -u 114:114 -g
% sudo /etc/init.d/ntp restart
Stopping NTP server: ntpd.
Starting NTP server: ntpd.
% ps aux | grep ntp
ntp      23797  0.0  0.1   4124  1304 ?        Ss   16:55   0:00 /usr/sbin/ntpd -p /var/run/ntpd.pid -u 112:114 -g


Gah ? adduser call in initscript ? What an horrible idea. And note how
the ntp group was not deleted by the postrm script in ntp-simple.

(interesting, when I did that the first time with ntp 1:4.2.2+dfsg-1,
ntp did not restart. Some fixes to the initscript maybe ? Anyway.)

Having a service running under a user that does not exist until the
next restart of said service is not acceptable, and could very well
trigger some IDS for no f*cking reason. I can hear a couple of
paranoid sysadmins screaming, not to mention the changing numeric uid.

You need to handle this transition with transition packages to avoid
this specific problem. It is possible that during your tests the new
ntp user got the same uid than the old one, but I can't understand how
you missed the fact that there would be a leftover process running
under a non-existing user for a potentially long period of time.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 384857@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Julien BLACHE <jblache@debian.org>, 384857@bugs.debian.org
Cc: Peter Eisentraut <peter_e@gmx.net>
Subject: Re: Bug#384857: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 17:39:01 +0200
On Sun, Aug 27, 2006 at 03:50:18PM +0200, Julien BLACHE wrote:
> Peter Eisentraut <peter_e@gmx.net> wrote:
> 
> >> So, purging ntp-simple once the new ntp package is installed leads to
> >> ntp being unable to restart because the username specified doesn't
> >> exist, and other funny things.
> >
> > I don't think so.  Have you actually tried it?
> 
> Yep, that's why I'm reporting the bug.

Note that the init script creates the user.  I don't see how it can fail
to start.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 384857@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Julien BLACHE <jblache@debian.org>
Cc: 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 19:01:15 +0200
Julien BLACHE wrote:
> You need to handle this transition with transition packages to avoid
> this specific problem.

I still don't see any specific problem here, just unsubstantiated 
theories about what is "acceptable".

Also note that you are exercising unstable-to-unstable upgrades, which 
may have less robust upgrade support (in particular if some of the 
fixes are exactly to make the upgrades more robust).  Upgrades within 
stable or testing are not affected by this issue.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 384857@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Peter Eisentraut <peter_e@gmx.net>
Cc: 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 20:42:41 +0200
Peter Eisentraut <peter_e@gmx.net> wrote:

> Also note that you are exercising unstable-to-unstable upgrades, which 
> may have less robust upgrade support (in particular if some of the 

Ah, because unstable-to-unstable updates aren't properly supported
anymore ? I'm sorry, I didn't get the memo so that's news to me.

Where's the problem in supplying transition packages for the packages
you are removing, so as to provide a clean upgrade path ?

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 384857@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Julien BLACHE <jblache@debian.org>
Cc: 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 21:47:09 +0200
Julien BLACHE wrote:
> Where's the problem in supplying transition packages for the packages
> you are removing, so as to provide a clean upgrade path ?

There is no problem, if you could point out a specific problem that that 
needs fixing.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 384857@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: 384857@bugs.debian.org
Subject: Re: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 27 Aug 2006 22:13:53 +0200
Peter Eisentraut <peter_e@gmx.net> wrote:

>> Where's the problem in supplying transition packages for the packages
>> you are removing, so as to provide a clean upgrade path ?
>
> There is no problem, if you could point out a specific problem that that 
> needs fixing.

You have an old package, uninstalled but not purged, and its postrm
script will remove, on purge, a system user that your new package
needs. Additionally, you have a daemon running under that user.

You purge the old package, the user goes away while the daemon is
running.

And you don't see the problem ?

I won't even mention the horrible adduser-in-initscript hack. Though a
couple of DDs on IRC had a good laugh with that, once they were done
screaming.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Peter Eisentraut <peter_e@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 384857@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <peter_e@gmx.net>
To: Julien BLACHE <jblache@debian.org>, 384857@bugs.debian.org
Subject: Re: Bug#384857: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Mon, 28 Aug 2006 14:45:39 +0200
Am Sonntag, 27. August 2006 22:13 schrieb Julien BLACHE:
> You purge the old package, the user goes away while the daemon is
> running.
>
> And you don't see the problem ?

No.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to shaulka@012.net.il:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 384857@bugs.debian.org (full text, mbox):

From: shaulka@012.net.il
To: 384857@bugs.debian.org
Subject: I believe init.d/ntp will not add a user, just a group.
Date: Tue, 29 Aug 2006 18:59:34 +0200
1) I can confirm that *purging* the ntp-* packages removes the ntp user and group.
I don't have logs but after the purge the ntp user and group are no longer there.

2) I believe the adduser line in the (new) ntp package will only add an ntp group,
not an ntp user. This is according to my understanding of the adduser man page.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to shaulka@012.net.il:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #65 received at 384857@bugs.debian.org (full text, mbox):

From: shaulka@012.net.il
To: 384857@bugs.debian.org
Subject: Please ignore the bottom half of my previous comment
Date: Wed, 30 Aug 2006 13:45:58 +0200
  I commented above that according to my understanding of adduser(8),
the adduser command in /etc/init.d/ntp will only add an ntp group.
This is wrong. It will do waht is expected.

  I still claim that when I purged some of the old ntp-* packages, the
ntp user and group were deleted.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #70 received at 384857@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: 384857@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#384857: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sat, 02 Sep 2006 11:34:11 +0200
[Message part 1 (text/plain, inline)]
tags 384857 + patch
thanks

Hi,

Attached is a patch that implements a proper transition to the new ntp
package.

Please apply.

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 

[ntp-transition.patch (text/x-patch, attachment)]

Tags added: patch Request was from Julien BLACHE <jblache@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Bdale Garbee <bdale@gag.com>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #77 received at 384857@bugs.debian.org (full text, mbox):

From: Bdale Garbee <bdale@gag.com>
To: Peter Eisentraut <peter_e@gmx.net>
Cc: 384857@bugs.debian.org, pkg-ntp-maintainers@lists.alioth.debian.org
Subject: Re: Bug#384857: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sat, 02 Sep 2006 10:45:04 -0600
peter_e@gmx.net (Peter Eisentraut) writes:

> No.

I do, and the patch that Julien suggests looks reasonable and correct to me.  

We should make sure this gets included for etch, then we can back the
transition package entries out of the control file after etch releases and
deliver just the new/simple set of packages after that.  

Make sense?

Bdale



Information forwarded to debian-bugs-dist@lists.debian.org, Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>:
Bug#384857; Package ntp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #82 received at 384857@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Bdale Garbee <bdale@gag.com>
Cc: 384857@bugs.debian.org
Subject: Re: Bug#384857: [pkg-ntp-maintainers] Bug#384857: ntp: transition packages needed; ntp-simple removes ntp user on purge
Date: Sun, 03 Sep 2006 09:14:58 +0200
Bdale Garbee <bdale@gag.com> wrote:

Hi,

> I do, and the patch that Julien suggests looks reasonable and correct to me.  

Note that the patch will only help users who do not upgrade their
system regularly. The harm is already done for the others :(

To help the ones who upgrade regularly (and haven't purged the
ntp-simple/ntp-refclock packages yet), ntp should depend on
the dummy ntp-simple and ntp-refclock packages, so as to clear the
maintainer scripts from the previous packages. The dependency would
need to be kept for some time, which probably means releasing Etch
with an ntp package depending on 2 empty packages.

There's no good solution to this problem, it seems :/ Damage-control
time ...

JB.

-- 
 Julien BLACHE - Debian & GNU/Linux Developer - <jblache@debian.org> 
 
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 



Tags added: pending Request was from Peter Eisentraut <petere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #89 received at 384857-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 384857-close@bugs.debian.org
Subject: Bug#384857: fixed in ntp 1:4.2.2+dfsg.2-2
Date: Sat, 16 Sep 2006 09:23:37 -0700
Source: ntp
Source-Version: 1:4.2.2+dfsg.2-2

We believe that the bug you reported is fixed in the latest version of
ntp, which is due to be installed in the Debian FTP archive:

ntp-doc_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-doc_4.2.2+dfsg.2-2_all.deb
ntp-refclock_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-refclock_4.2.2+dfsg.2-2_all.deb
ntp-simple_4.2.2+dfsg.2-2_all.deb
  to pool/main/n/ntp/ntp-simple_4.2.2+dfsg.2-2_all.deb
ntp_4.2.2+dfsg.2-2.diff.gz
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.diff.gz
ntp_4.2.2+dfsg.2-2.dsc
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2.dsc
ntp_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntp_4.2.2+dfsg.2-2_i386.deb
ntpdate_4.2.2+dfsg.2-2_i386.deb
  to pool/main/n/ntp/ntpdate_4.2.2+dfsg.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384857@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated ntp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 11:24:09 +0200
Source: ntp
Binary: ntp-simple ntp-refclock ntp-doc ntpdate ntp
Architecture: source all i386
Version: 1:4.2.2+dfsg.2-2
Distribution: unstable
Urgency: medium
Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 ntp        - Network Time Protocol daemon and utility programs
 ntp-doc    - Network Time Protocol documentation
 ntp-refclock - transition package
 ntp-simple - transition package
 ntpdate    - client for setting system time from NTP servers
Closes: 56499 245338 305864 312576 321759 375280 382311 382543 383212 383666 384857 386323 387002
Changes: 
 ntp (1:4.2.2+dfsg.2-2) unstable; urgency=medium
 .
   [ Branden Robinson ]
   * Soften ntp binary package's Conflicts and Replaces relationships with
     ntp-{refclock,server,simple} so that they are unversioned; a versioning
     expression is unnecessary as none of these exist now as dummy packages
     (and do not need to, as all depended directly or transitively on ntp
     itself).  State that ntp Provides the three merged packages, so that
     packages depending on them are not spuriously blocked from upgrading
     before their dependencies are manually changed. (closes: #383212)
 .
   [ Peter Eisentraut ]
   * Updated README.Debian's and package descriptions, reflecting that
     ntpdate is no longer necessary when ntp is installed
   * npdate is no longer started from an init script but instead by ifup
     (closes: #56499, #245338, #312576)
   * Run ntpdate from ifup in the background (closes: #321759, #375280,
     #382543)
   * Cleaned out package relationships with long-obsolete packages
   * Updated standards version
   * Also parse peer lines in ntp.conf from ntpdate.default (closes: #382311)
   * Added pointer in ntpdate.default where to find ntp.conf (closes: #386323)
   * Updated logcheck rules (closes: #305864)
 .
   [ Julien BLACHE ]
   * debian/control:
     + Add ntp-refclock and ntp-simple transition packages (closes: #384857).
   * debian/ntp.init:
     + Remove adduser call from initscript (closes: #383666).
 .
   [ Petter Reinholdtsen ]
   * Fixed init script LSB header dependency information (closes: #387002)
Files: 
 9553a9b41ba5f5c3ba174ac5592efc1b 841 net optional ntp_4.2.2+dfsg.2-2.dsc
 6b9241afc047363e3bcf11b25af4e561 173994 net optional ntp_4.2.2+dfsg.2-2.diff.gz
 f986aa4ae857f41a6bce469feed07815 891756 doc optional ntp-doc_4.2.2+dfsg.2-2_all.deb
 c44b4f1dadf7ed82bc43ffdc34068c83 27128 net optional ntp-simple_4.2.2+dfsg.2-2_all.deb
 1fefd26e9fc228e9e6d6c6e39f64c4ee 27130 net optional ntp-refclock_4.2.2+dfsg.2-2_all.deb
 f2fc5f5531c9c76187510f94de6d0b11 321010 net optional ntp_4.2.2+dfsg.2-2_i386.deb
 0ff308d22b0dda454023610ce77e7520 55902 net optional ntpdate_4.2.2+dfsg.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCnPCTTx8oVVPtMYRAoMkAJ9matJyyhGLgERFVxqvfmSka+TWLQCdE0fX
o7h51A6c/UagHkuditkDyEM=
=uO5N
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 00:32:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:32:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.